From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-apps/copyq/
Date: Tue, 22 Sep 2015 09:19:09 +0000 (UTC) [thread overview]
Message-ID: <1442913548.bc73443fc9d6d6d3775890225c5f30101121d5a5.jlec@gentoo> (raw)
commit: bc73443fc9d6d6d3775890225c5f30101121d5a5
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 22 09:18:59 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Sep 22 09:19:08 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc73443f
x11-apps/copyq: New package
initial ebuild written by keenblade and Paul Tobias
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=499350
Package-Manager: portage-2.2.21
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
x11-apps/copyq/Manifest | 1 +
x11-apps/copyq/copyq-2.4.9.ebuild | 51 +++++++++++++++++++++++++++++++++++++++
x11-apps/copyq/metadata.xml | 14 +++++++++++
3 files changed, 66 insertions(+)
diff --git a/x11-apps/copyq/Manifest b/x11-apps/copyq/Manifest
new file mode 100644
index 0000000..db3b0fd
--- /dev/null
+++ b/x11-apps/copyq/Manifest
@@ -0,0 +1 @@
+DIST copyq-2.4.9.tar.gz 1415277 SHA256 0736602eef82bd8ddfb7edb2a4c49b898897f7d25ddc2ae249ed50fd4406a8f4 SHA512 e790b2d7531a3e4eb3b88af720074ba35aedae8ef530ee89c78d798720fcf5668b52f4c7f27ea22828dbfac33dbf22260f69294e3fff587c2d05a36844210421 WHIRLPOOL 0cf03d36a9a7b1f1f62453af30b2301929d0ffc022c7e6290346fe6a9af11cb0a1a7a8128daf10fd73166a9ba4f6c9f2c57899229b1fc404ffe6b81dedfa3b78
diff --git a/x11-apps/copyq/copyq-2.4.9.ebuild b/x11-apps/copyq/copyq-2.4.9.ebuild
new file mode 100644
index 0000000..831a965
--- /dev/null
+++ b/x11-apps/copyq/copyq-2.4.9.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils multilib
+
+DESCRIPTION="Clipboard manager with advanced features"
+HOMEPAGE="https://github.com/hluk/CopyQ"
+SRC_URI="https://github.com/hluk/CopyQ/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="qt4 +qt5 test webkit"
+
+REQUIRED_USE="|| ( qt4 qt5 )"
+
+RDEPEND="
+ x11-libs/libX11
+ x11-libs/libXfixes
+ x11-libs/libXtst
+ qt4? (
+ dev-qt/qtcore:4=
+ dev-qt/qtgui:4=
+ dev-qt/qtscript:4=
+ webkit? ( dev-qt/qtwebkit:4= )
+ )
+ qt5? (
+ dev-qt/qtcore:5=
+ dev-qt/qtgui:5=
+ dev-qt/qtnetwork:5=
+ dev-qt/qtscript:5=
+ dev-qt/qtwidgets:5=
+ webkit? ( dev-qt/qtwebkit:5= )
+ )
+"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}"/CopyQ-${PV}
+
+src_configure() {
+ mycmakeargs=(
+ $(cmake-utils_use_with qt5)
+ $(cmake-utils_use_with webkit)
+ $(cmake-utils_use_with test TESTS)
+ -DPLUGIN_INSTALL_PREFIX=/usr/$(get_libdir)/${PN}/plugins/
+ )
+ cmake-utils_src_configure
+}
diff --git a/x11-apps/copyq/metadata.xml b/x11-apps/copyq/metadata.xml
new file mode 100644
index 0000000..584ed1f
--- /dev/null
+++ b/x11-apps/copyq/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>jlec@gentoo.org</email>
+ <name>Justin Lecher</name>
+ </maintainer>
+ <use>
+ <flag name="webkit">
+ enables the application to use advanced HTML rendering and fetching
+ remote images and other data
+ </flag>
+ </use>
+</pkgmetadata>
next reply other threads:[~2015-09-22 9:19 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-22 9:19 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-09-23 11:15 [gentoo-commits] repo/gentoo:master commit in: x11-apps/copyq/ Justin Lecher
2016-01-14 9:43 Jeroen Roovers
2016-01-14 9:50 Michael Palimaka
2016-01-16 11:50 Pacho Ramos
2016-01-16 11:50 Pacho Ramos
2016-04-23 13:50 Davide Pesavento
2016-12-22 18:16 Michael Palimaka
2017-01-12 17:56 Michael Palimaka
2017-05-26 10:00 David Seifert
2018-09-14 22:46 Michał Górny
2018-09-14 22:46 Michał Górny
2019-01-02 15:48 Maxim Koltsov
2019-04-19 22:07 Michał Górny
2019-04-19 22:07 Michał Górny
2020-04-28 7:44 Joonas Niilola
2020-04-28 7:44 Joonas Niilola
2020-04-28 7:44 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1442913548.bc73443fc9d6d6d3775890225c5f30101121d5a5.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox